#### D.13.6.36 maximalGroebnerCone

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  maximalGroebnerCone(I); I ideal or poly

Assume:
  I a reduced standard basis

Return:
  cone, the maximal Groebner cone of I with respect to the current ordering

Example:

    LIB "tropical.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = cyclic(3);
    option(redSB);
    ideal stdI = std(I);
    cone CI = maximalGroebnerCone(stdI);
    print(rays(CI));
    ring s = 0,(x,y,z,u),dp;
    ideal Ih = homog(cyclic(3),u);
    ideal stdI = std(Ih);
    cone CIh = maximalGroebnerCone(stdI);
    print(rays(CIh));
    print(generatorsOfLinealitySpace(CIh));
    ring rw = 0,(x,y,z),(a(1,0,1),lp);
    ideal I = cyclic(3);
    ideal stdI = std(I);
    CI = maximalGroebnerCone(stdI);
    print(rays(CI));

User manual for Singular version 4.4.1, 2025, generated by texi2html.